Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.bridge.portlet
Class JuzuPortlet

    java.lang.Object
      juzu.bridge.portlet.JuzuPortlet

All Implemented Interfaces:
  javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.ResourceServingPortlet

    public class JuzuPortlet

extends Object
implements javax.portlet.Portlet, javax.portlet.ResourceServingPortlet, javax.portlet.EventPortlet

Author:
  Julien Viet

Field Summary
`static PropertyType<javax.portlet.PortletMode>` | `PORTLET_MODE` .
`static PropertyType<javax.portlet.WindowState>` | `WINDOW_STATE` .

Constructor Summary
`JuzuPortlet()`

Method Summary
`void` | `destroy()`
`void` | `init(javax.portlet.PortletConfig config)`
`void` | `processAction(javax.portlet.ActionRequest req, javax.portlet.ActionResponse resp)`
`void` | `processEvent(javax.portlet.EventRequest request, javax.portlet.EventResponse response)`
`void` | `render(javax.portlet.RenderRequest req, javax.portlet.RenderResponse resp)`
`void` | `serveResource(javax.portlet.ResourceRequest req, javax.portlet.ResourceResponse resp)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_MODE

    public static final PropertyType<javax.portlet.PortletMode> PORTLET_MODE

  .

### WINDOW_STATE

    public static final PropertyType<javax.portlet.WindowState> WINDOW_STATE

  .

Constructor Detail

### JuzuPortlet

    public JuzuPortlet()

Method Detail

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Specified by:
    `init` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`

### processAction

    public void processAction(javax.portlet.ActionRequest req,
                              javax.portlet.ActionResponse resp)
                       throws javax.portlet.PortletException,
                              IOException

  Specified by:
    `processAction` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`
    `IOException`

### processEvent

    public void processEvent(javax.portlet.EventRequest request,
                             javax.portlet.EventResponse response)
                      throws javax.portlet.PortletException,
                             IOException

  Specified by:
    `processEvent` in interface `javax.portlet.EventPortlet`
  Throws:
    `javax.portlet.PortletException`
    `IOException`

### render

    public void render(javax.portlet.RenderRequest req,
                       javax.portlet.RenderResponse resp)
                throws javax.portlet.PortletException,
                       IOException

  Specified by:
    `render` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`
    `IOException`

### serveResource

    public void serveResource(javax.portlet.ResourceRequest req,
                              javax.portlet.ResourceResponse resp)
                       throws javax.portlet.PortletException,
                              IOException

  Specified by:
    `serveResource` in interface `javax.portlet.ResourceServingPortlet`
  Throws:
    `javax.portlet.PortletException`
    `IOException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.portlet.Portlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 eXo Platform SAS. All rights reserved.